unit Unit1;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, FileUtil, TAGraph, TASeries, TAStyles, TATools, TASources,
  TATransformations, Forms, Controls, Graphics, Dialogs, ExtCtrls, ComCtrls,
  Buttons, uplDataContainer;

type

  { TForm1 }

  TForm1 = class(TForm)
    BitBtn1: TBitBtn;
    Chart1: TChart;
    Chart1LineSeries1: TLineSeries;
    Chart1LineSeries2: TLineSeries;
    Chart1LineSeries3: TLineSeries;
    Chart1LineSeries4: TLineSeries;
    Chart1LineSeries5: TLineSeries;
    ChartAxisTransformations1: TChartAxisTransformations;
    ChartAxisTransformations1AutoScaleAxisTransform1: TAutoScaleAxisTransform;
    PageControl1: TPageControl;
    Panel1: TPanel;
    TabSheet1: TTabSheet;
    procedure BitBtn1Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure FormDestroy(Sender: TObject);
  private
    { private declarations }
  public
    DataContainer:TPLDataContainer;
    { public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.lfm}

{ TForm1 }

procedure TForm1.FormCreate(Sender: TObject);
begin
  DataContainer:=TPLDataContainer.Create;
end;

procedure TForm1.BitBtn1Click(Sender: TObject);
var
  i:integer;
  H,M,S,MS:Word;
begin
  DataContainer.LoadFromFile('/home/pluto/weather/data/raw/2015/2015-12/2015-12-25.txt',true);

  Chart1LineSeries1.SeriesColor:=clRed;
  Chart1LineSeries2.SeriesColor:=clBlue;
  Chart1LineSeries3.SeriesColor:=clLime;
  Chart1LineSeries4.SeriesColor:=clYellow;

  for i:=0 to DataContainer.Count-1 do begin
    DecodeTime(DataContainer[i].Time,H,M,S,MS);

    Chart1LineSeries1.AddXY(h,Double(DataContainer[i].Temp_out));
    Chart1LineSeries2.AddXY(h,Double(DataContainer[i].Temp_in));
    Chart1LineSeries3.AddXY(h,Double(DataContainer[i].Hum_out));
    Chart1LineSeries4.AddXY(h,Double(DataContainer[i].Hum_in));
  end;
  Chart1.AddSeries(Chart1LineSeries1);
  Chart1.AddSeries(Chart1LineSeries2);
  Chart1.AddSeries(Chart1LineSeries3);
  Chart1.AddSeries(Chart1LineSeries4);
end;

procedure TForm1.FormDestroy(Sender: TObject);
begin
  DataContainer.Free;
end;

end.

